Package org.eclipse.net4j.util.container

# Interface IElementProcessor

All Known Implementing Classes:
  `ChallengeNegotiatorConfigurer`, `ResponseNegotiatorInjector`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IElementProcessor
Processes elements of a `managed container` when they're added to the container.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`Object`
`process(IManagedContainer container, String productGroup, String factoryType, String description, Object element)`

## Method Details

### process

Object process(IManagedContainer container, String productGroup, String factoryType, String description, Object element)